Subject: RE: ssh error 'The descriptor is a file, not a socket'
From: David Starks-Browning <[email-masked]>
To: Kris Huber <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 2 Nov 2001 22:11:23 +0000

On Friday 2 Nov 01, Kris Huber writes:
> Hello David,
> 
> This morning I tried the snapshots cygwin1-20011101.dll (moved it to
> /bin/cygwin1.dll) and the install stapshot cygwin-20011101.tar.bz2 (unpacked
> it so it replaces many files under /usr - /usr/bin seems aliased to /bin
> somehow).  

You mean cygwin-inst-...?  Did you follow instructions in the FAQ?
You should have unpacked this under /, not /usr.

> With both ways of installing the snapshot, sshd gives
> segmentation fault (worse than what was happening under the release
> version).  Actually, I've noticed that outgoing ssh's and ftp's also seg
> fault, so the problem is unlikely ssh-related, I think.

Indeed, there is something very wrong with the 20011101 cygwin1.dll
snapshot.  That's part of the joy of snapshots!  Try 20011031.

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/